<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:background="@color/color_f6f8f9"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <View
        android:id="@+id/view_status_bar"
        android:layout_width="match_parent"
        android:layout_height="20dp"
        app:layout_constrainedHeight="true"
        android:background="@color/white"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:id="@+id/view_tool_bar_bg"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:background="@color/white"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/view_status_bar" />

    <TextView
        android:id="@+id/tv_current_date"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:includeFontPadding="false"
        android:textColor="@color/color_333333"
        android:textSize="@dimen/sp_18"
        app:layout_constraintBottom_toBottomOf="@+id/view_tool_bar_bg"
        app:layout_constraintLeft_toLeftOf="@+id/view_tool_bar_bg"
        app:layout_constraintRight_toRightOf="@+id/view_tool_bar_bg"
        app:layout_constraintTop_toTopOf="@+id/view_tool_bar_bg"
        tools:text="2021年9月" />

    <ImageView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="3dp"
        android:src="@drawable/icon_arrow_down"
        app:layout_constraintBottom_toBottomOf="@+id/tv_current_date"
        app:layout_constraintLeft_toRightOf="@+id/tv_current_date"
        app:layout_constraintTop_toTopOf="@+id/tv_current_date" />

    <View
        android:layout_width="match_parent"
        android:layout_height="1dp"
        android:background="@color/divide_color2"
        app:layout_constraintTop_toBottomOf="@+id/view_tool_bar_bg" />
    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/refreshLayout"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/view_tool_bar_bg">

    <com.scwang.smart.refresh.header.ClassicsHeader
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />
    <com.haibin.calendarview.CalendarLayout
        android:id="@+id/calendarLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        app:calendar_content_view_id="@+id/recyclerView"
        app:default_status="shrink"
       >

        <com.cooleshow.base.widgets.MyCalenderView
            android:id="@+id/calendarView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingStart="@dimen/dp_8"
            android:paddingEnd="@dimen/dp_8"
            app:calendar_height="@dimen/dp_56"
            app:current_day_text_color="@color/colorPrimary"
            app:current_month_text_color="@color/black_444"
            app:day_text_size="@dimen/dp_15"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:max_year="2100"
            app:min_year="1990"
            app:month_view="com.cooleshow.student.widgets.SimpleMonthView"
            app:month_view_show_mode="mode_only_current"
            app:scheme_text_color="@color/color_ff6363"
            app:scheme_theme_color="@color/white"
            app:select_mode="single_mode"
            app:selected_text_color="@color/white"
            app:selected_theme_color="@color/colorPrimary"
            app:week_background="@color/white"
            app:week_bar_height="@dimen/dp_45"
            app:week_line_background="@color/color_f2f2f2"
            app:week_start_with="sun"
            app:week_text_color="@color/gray_777"
            app:week_text_size="@dimen/dp_16"
            app:week_view="com.cooleshow.student.widgets.SimpleWeekView"
            app:year_view_background="@color/white" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:overScrollMode="never"
            android:background="@color/color_f6f8f9"
            android:scrollbars="none" />
    </com.haibin.calendarview.CalendarLayout>
    </com.scwang.smart.refresh.layout.SmartRefreshLayout>

</androidx.constraintlayout.widget.ConstraintLayout>